- List publishers
List Deals
Create Deal
List Deals and their reporting data
Get Deal
Update Deal
List the Deal Groups
Create a Deal Group
Get Deal Groups
Update Deal Groups
Create publisher
Read publisher
Update Publisher
Delete publisher
List channels
Bulk Update Deal
Bulk Create Deal
Bulk Create or Update Deal
Bulk Create Publishers
List Deal Strategies
List Deal Group Strategies
List publishers
Publishers are associated to an organization. A collection of publishers for an organization can be retrieved using an HTTP GET request containing an organization_id
Example: https://api.mediamath.com/deals/v1.0/publishers?organization_id=100315
The only sort_by parameter allowed is "name", and organization_id is the only required parameter
A video explainer on publisher management through the MediaMath app can be found at: https://academy.mediamath.com/mediamath-beta-courses?next=%2Fmediamath-beta-courses%2F800806
- https://api.mediamath.com/deals/v1.0https://api.mediamath.com/deals/v1.0/publishers
curl -i -X GET \
'https://api.mediamath.com/deals/v1.0/publishers?sort_by=name&q=string&page_offset=0&page_limit=0&organization_id=0' \
-H 'Authorization: Bearer $TOKEN'{
"meta": {
"count": 1,
"status": "ok",
"offset": 0,
"total_count": 1
},
"data": [
{
"name": "testing",
"last_touch_user_id": 4254,
"id": 3,
"updated_on": "2020-10-01T14:21:48+00:00",
"created_on": "2020-10-01T14:21:48+00:00",
"deleted_on": null,
"organization_id": 100315
}
]
}Response
{ "meta": { "count": 0, "status": "string", "offset": 0, "total_count": 0 }, "data": [ { … } ] }